import request from '@/utils/request'

// 查询医案科普列表
export function listCaseArticle(query) {
  return request({
    url: '/his/caseArticle/list',
    method: 'get',
    params: query
  })
}
// 下载导入模板
export function importTemplate() {
  return request({
    url: '/his/caseArticle/importTemplate',
    method: 'get'
  })
}
// 查询医案科普详细
export function getCaseArticle(id) {
  return request({
    url: '/his/caseArticle/' + id,
    method: 'get'
  })
}

// 新增医案科普
export function addCaseArticle(data) {
  return request({
    url: '/his/caseArticle',
    method: 'post',
    data: data
  })
}

// 修改医案科普
export function updateCaseArticle(data) {
  return request({
    url: '/his/caseArticle',
    method: 'put',
    data: data
  })
}

// 删除医案科普
export function delCaseArticle(id) {
  return request({
    url: '/his/caseArticle/' + id,
    method: 'delete'
  })
}

// 导出医案科普
export function exportCaseArticle(query) {
  return request({
    url: '/his/caseArticle/export',
    method: 'get',
    params: query
  })
}